 SUBROUTINE user_dvrp_coltab( mode, variable )

!------------------------------------------------------------------------------!
! Current revisions:
! -----------------
! 
!
! Former revisions:
! -----------------
! $Id: user_dvrp_coltab.f90 392 2009-09-24 10:39:14Z raasch $
!
! 258 2009-03-13 12:36:03Z heinze
! Output of messages replaced by message handling routine.
!
! 211 2008-11-11 04:46:24Z raasch
! Former file user_interface.f90 split into one file per subroutine
!
! Description:
! ------------
! Definition of the colour table to be used by the dvrp software.
!------------------------------------------------------------------------------!
    
    USE control_parameters
    USE dvrp_variables
    USE pegrid
    USE user

    IMPLICIT NONE

    CHARACTER (LEN=*) ::  mode
    CHARACTER (LEN=*) ::  variable


!
!-- Here the user-defined actions follow
    SELECT CASE ( mode )

       CASE ( 'particles' )

       CASE ( 'slicer' )

       CASE DEFAULT
          message_string = 'unknown mode "' // mode // '"'
          CALL message( 'user_dvrp_coltab', 'UI0004', 1, 2, 0, 6, 0 )


    END SELECT

 END SUBROUTINE user_dvrp_coltab

